MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026182Community[OCCT] OCCT:Shape Healingpublic2015-05-04 12:342015-05-14 16:39
ReporterTimo 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026182: Calling ShapeFix_FixSmallFace.RemoveSmallFaces() always leads to stack overflow
DescriptionThe functions ShapeFix_FixSmallFace::RemoveSmallFaces and SplitFaces call each other. Therefore, calling one of the functions always leads to a stack overflow.

The functions are defined as follows:

TopoDS_Shape ShapeFix_FixSmallFace::RemoveSmallFaces()
{
   myShape = SplitFaces();
   ...
}


TopoDS_Shape ShapeFix_FixSmallFace::SplitFaces()
{
   myShape = RemoveSmallFaces();
   ...
}


It seems, these functions currently have no use and should be removed or corrected.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0040596)
git (administrator)
2015-05-06 06:44

Branch CR26182 has been created by abv.

SHA-1: 713762b0eddfee52da82153c24b8e12fcf7e94dd


Detailed log of new commits:

Author: abv
Date: Wed May 6 06:20:29 2015 +0300

    0026182: Calling ShapeFix_FixSmallFace.RemoveSmallFaces() always leads to stack overflow
    
    Unused methods RemoveSmallFaces() and SplitFaces() are removed.
(0040597)
abv (manager)
2015-05-06 06:45

Offending methods removed, please integrate branch CR26182 (no testing is required)
(0040676)
mkv (tester)
2015-05-06 19:28

Dear BugMaster,
Branch CR26182 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 713762b0eddfee52da82153c24b8e12fcf7e94dd

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
(0041133)
git (administrator)
2015-05-14 16:39

Branch CR26182 has been deleted by inv.

SHA-1: 713762b0eddfee52da82153c24b8e12fcf7e94dd

- Related Changesets
occt: master 0bbdddae
Timestamp: 2015-05-06 03:20:29
Author: abv
Committer: abv
Details ] Diff ]
0026182: Calling ShapeFix_FixSmallFace.RemoveSmallFaces() always leads to stack overflow

Unused methods RemoveSmallFaces() and SplitFaces() are removed.
mod - src/ShapeFix/ShapeFix_FixSmallFace.cdl Diff ] File ]
mod - src/ShapeFix/ShapeFix_FixSmallFace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-04 12:34 Timo New Issue
2015-05-04 12:34 Timo Assigned To => msv
2015-05-04 17:21 msv Assigned To msv => gka
2015-05-04 17:21 msv Category OCCT:Modeling Algorithms => OCCT:Shape Healing
2015-05-06 06:44 git Note Added: 0040596
2015-05-06 06:45 abv Note Added: 0040597
2015-05-06 06:45 abv Status new => resolved
2015-05-06 06:45 abv Steps to Reproduce Updated View Revisions
2015-05-06 06:45 abv Assigned To gka => bugmaster
2015-05-06 06:45 abv Status resolved => reviewed
2015-05-06 14:27 mkv Assigned To bugmaster => mkv
2015-05-06 19:28 mkv Note Added: 0040676
2015-05-06 19:28 mkv Assigned To mkv => bugmaster
2015-05-06 19:28 mkv Status reviewed => tested
2015-05-06 19:28 mkv Test case number => Not needed
2015-05-08 15:49 abv Changeset attached => occt master 0bbdddae
2015-05-08 15:49 abv Assigned To bugmaster => abv
2015-05-08 15:49 abv Status tested => verified
2015-05-08 15:49 abv Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:30 user533 Fixed in Version => 6.9.0
2015-05-14 16:39 git Note Added: 0041133


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker